Bug 1419605 - WARNING: CPU: 0 PID: 77 at lib/dma-debug.c:1164 check_unmap+0x514/0x9d0
Summary: WARNING: CPU: 0 PID: 77 at lib/dma-debug.c:1164 check_unmap+0x514/0x9d0
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 15:15 UTC by John Bieren
Modified: 2019-01-09 12:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-06 18:24:44 UTC
Type: Bug


Attachments (Terms of Use)

Description John Bieren 2017-02-06 15:15:23 UTC
Description of problem:
cciss device driver failed to check map error


Version-Release number of selected component (if applicable):
4.10.0-0.rc6.git1.1.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1. Provision latest fedora distro on hardware with a cciss bootdisk
2.
3.

Actual results:
[    5.145334] cciss 0000:02:04.0: cciss0: <0xb178> at PCI 0000:02:04.0 IRQ 18 using DAC 
[    5.153334] ------------[ cut here ]------------ 
[    5.153341] WARNING: CPU: 0 PID: 77 at lib/dma-debug.c:1164 check_unmap+0x514/0x9d0 
[    5.153343] cciss 0000:02:04.0: DMA-API: device driver failed to check map error[device address=0x00000005e362f840] [size=36 bytes] [mapped as single] 
[    5.153344] Modules linked in: tg3(+) ptp ata_generic serio_raw pata_acpi cciss(+) pps_core pata_amd fjes 
[    5.153354] CPU: 0 PID: 77 Comm: kworker/0:1 Not tainted 4.10.0-0.rc6.git1.1.fc26.x86_64 #1 
[    5.153355] Hardware name: HP ProLiant DL585 G1, BIOS A01 02/14/2007 
[    5.153360] Workqueue: events work_for_cpu_fn 
[    5.153362] Call Trace: 
[    5.153367]  dump_stack+0x8e/0xd1 
[    5.153369]  __warn+0xcb/0xf0 
[    5.153371]  warn_slowpath_fmt+0x5f/0x80 
[    5.153373]  check_unmap+0x514/0x9d0 
[    5.153375]  debug_dma_unmap_page+0x8e/0xa0 
[    5.153385]  sendcmd_withirq_core+0x213/0x260 [cciss] 
[    5.153389]  ? wait_for_completion+0x13c/0x1a0 
[    5.153394]  sendcmd_withirq+0x98/0xb0 [cciss] 
[    5.153398]  cciss_init_one+0x16a6/0x1ee9 [cciss] 
[    5.153402]  local_pci_probe+0x42/0xa0 
[    5.153403]  work_for_cpu_fn+0x14/0x20 
[    5.153406]  process_one_work+0x260/0x750 
[    5.153407]  ? process_one_work+0x1db/0x750 
[    5.153409]  worker_thread+0x1e5/0x4a0 
[    5.153411]  ? process_one_work+0x750/0x750 
[    5.153413]  kthread+0x12c/0x150 
[    5.153414]  ? kthread_create_on_node+0x60/0x60 
[    5.153417]  ret_from_fork+0x31/0x40 
[    5.153418] ---[ end trace e98b384918253d04 ]--- 
[    5.153419] Mapped at: 
[    5.153420]   
[    5.153422] [<ffffffffb44cfffc>] debug_dma_map_page+0x8c/0x160 
[    5.153423]   
[    5.153426] [<ffffffffc00d66e7>] fill_cmd+0x1d7/0x3e0 [cciss] 
[    5.153427]   
[    5.153430] [<ffffffffc00d6be4>] sendcmd_withirq+0x64/0xb0 [cciss] 
[    5.153431]   
[    5.153434] [<ffffffffc00dbb66>] cciss_init_one+0x16a6/0x1ee9 [cciss] 
[    5.153435]   
[    5.153437] [<ffffffffb44f9502>] local_pci_probe+0x42/0xa0 
[    5.219711]  cciss/c0d0: p1 p2 
[    5.242331] scsi host2: cciss 


Expected results:
No call trace

Additional info:

Comment 2 Laura Abbott 2018-04-06 18:24:44 UTC
Doing some pruning, this bug looks to be several kernel versions old. Please test on a newer kernel and reopen if the problem still exists.


Note You need to log in before you can comment on or make changes to this bug.